Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Petteri Raty (betelgeuse)" <betelgeuse@g.o>
Subject: gentoo-x86 commit in dev-java/fop: fop-0.93-r1.ebuild ChangeLog
Date: Tue, 18 Sep 2007 22:18:33 +0000
betelgeuse    07/09/18 22:18:33

  Modified:             fop-0.93-r1.ebuild ChangeLog
  Log:
  Add a built_with_use check for dev-java/xmlgraphics-commons and the jpeg use flag. Fixes bug #192980.
  (Portage version: 2.1.3.7)

Revision  Changes    Path
1.8                  dev-java/fop/fop-0.93-r1.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-java/fop/fop-0.93-r1.ebuild?rev=1.8&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-java/fop/fop-0.93-r1.ebuild?rev=1.8&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-java/fop/fop-0.93-r1.ebuild?r1=1.7&r2=1.8

Index: fop-0.93-r1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-java/fop/fop-0.93-r1.ebuild,v
retrieving revision 1.7
retrieving revision 1.8
diff -u -r1.7 -r1.8
--- fop-0.93-r1.ebuild	21 Aug 2007 05:13:44 -0000	1.7
+++ fop-0.93-r1.ebuild	18 Sep 2007 22:18:32 -0000	1.8
@@ -1,6 +1,6 @@
 # Copyright 1999-2007 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-java/fop/fop-0.93-r1.ebuild,v 1.7 2007/08/21 05:13:44 wltjr Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-java/fop/fop-0.93-r1.ebuild,v 1.8 2007/09/18 22:18:32 betelgeuse Exp $
 
 # TODO: if 'doc' use flag is used then should build also extra docs ('docs' ant target), currently it cannot
 #       be built as it needs forrest which we do not have
@@ -43,6 +43,16 @@
 #		dev-java/xmlunit
 #	)"
 
+pkg_setup() {
+	if ! built_with_use dev-java/xmlgraphics-commons jpeg; then
+		msg="${CATEGORY}/${P} needs dev-java/xmlgraphics-commons built with"
+		msg="${msg} the jpeg use flag"
+		eerror ${msg}
+		die "Recompile dev-java/xmlgraphics-commons with the jpeg use flag"
+	fi
+	java-pkg-2_pkg_setup
+}
+
 src_unpack() {
 	unpack "${A}"
 	cd "${S}"



1.54                 dev-java/fop/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-java/fop/ChangeLog?rev=1.54&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-java/fop/ChangeLog?rev=1.54&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/dev-java/fop/ChangeLog?r1=1.53&r2=1.54

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-java/fop/ChangeLog,v
retrieving revision 1.53
retrieving revision 1.54
diff -u -r1.53 -r1.54
--- ChangeLog	29 Aug 2007 13:54:37 -0000	1.53
+++ ChangeLog	18 Sep 2007 22:18:32 -0000	1.54
@@ -1,6 +1,10 @@
 # ChangeLog for dev-java/fop
 # Copyright 2000-2007 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-java/fop/ChangeLog,v 1.53 2007/08/29 13:54:37 betelgeuse Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-java/fop/ChangeLog,v 1.54 2007/09/18 22:18:32 betelgeuse Exp $
+
+  18 Sep 2007; Petteri Räty <betelgeuse@g.o> fop-0.93-r1.ebuild:
+  Add a built_with_use check for dev-java/xmlgraphics-commons and the jpeg use
+  flag. Fixes bug #192980.
 
   29 Aug 2007; Petteri Räty <betelgeuse@g.o> fop-0.20.5-r7.ebuild:
   Remove dependency on ant-tasks as split ant is stable.



-- 
gentoo-commits@g.o mailing list


Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in dev-java/xmlgraphics-commons: ChangeLog xmlgraphics-commons-1.2.ebuild
Next by thread:
gentoo-x86 commit in dev-java/fop: fop-0.93-r1.ebuild ChangeLog
Previous by date:
gentoo-x86 commit in dev-java/xmlgraphics-commons: ChangeLog xmlgraphics-commons-1.2.ebuild
Next by date:
gentoo commit in xml/htdocs/proj/en/council: index.xml


Updated Apr 01, 2012

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.